import { TeDeumUtility } from "../common/tedeum-utility.js";

export const defaultItemImg = {
  arme: "systems/fvtt-te-deum/images/icons/icon_arme.webp",
  equipement: "systems/fvtt-te-deum/images/icons/icon_equipement.webp",
  competence: "systems/fvtt-te-deum/images/icons/icon_competence.webp",
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class TeDeumItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
